/devices (setconfig)

Allows the remote client to set certain configuration features of the device or quickly enable/disable others.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The following options values are supported:

OptionDescription
addrSets the local IP address of the device for easier identification in the etherFAX portal.
encryptionSets the Encryption Enabled flag. This flag is returned to callers that query route information to determine if a destination has encryption enabled.
requiredSets the Encryption Required flag (also returned in route information).

Examples:

.../?a=setconfig&options=encryption:1

.../?a=setconfig&options=addr:192.168.1.32

Multiple options may be set at once for convenience:

...?a=setconfig&options=encryption:1,required:0

Encryption element when performing route query:

{
  "Route": "+18562955300",
  "Encryption": {
    "Enabled": true,
    "Required": false,
    "PublicKey": "..."
  }
}
Query Params
string
Defaults to config

Action to perform.

string

When using the setconfig action, the options parameter contains one or more options (or features) you wish to change, including the specified value.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json